<?php
/**
 * Japanized for WooCommerce
 * Shortcodes
 *
 * @version     2.0.0
 * @category    Shortcodes
 * @author      Artisan Workshop
 */

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

/**
 * WooCommerce Shortcodes class.
 */
class JP4WC_Shortcodes{

    /**
     * __construct function.
     *
     * @access public
     * @return void
     */
    function __construct() {
        $this->init();
    }
    /**
     * Init shortcodes.
     */
    public static function init(){
        $shortcodes = array(
            'jp4wc_law' => __CLASS__ . '::jp4wc_law',
        );

        foreach ($shortcodes as $shortcode => $function) {
            add_shortcode(apply_filters("{$shortcode}_jp4wc_shortcode_tag", $shortcode), $function);
        }
    }

    /**
     * Cart page shortcode.
     *
     * @return string
     */
    public static function jp4wc_law(){
        $prefix =  'wc4jp-';
        $law_options = array(
            'law-shop-name',
            'law-company-name',
            'law-owner-name',
            'law-location',
            'law-contact',
            'law-price',
            'law-payment',
            'law-purchase',
            'law-delivery',
            'law-cost',
            'law-return',
            'law-special',
        );
        $laws_array = array(
            __( 'Shop Name', 'woocommerce-for-japan' ) => get_option($prefix.$law_options[0]),
            __( 'Sales company name (company name)', 'woocommerce-for-japan' ) => get_option($prefix.$law_options[1]),
            __( 'Owner Name', 'woocommerce-for-japan' ) => get_option($prefix.$law_options[2]),
            __( 'Location', 'woocommerce-for-japan' ) => get_option($prefix.$law_options[3]),
            __( 'Contact', 'woocommerce-for-japan' ) => get_option($prefix.$law_options[4]),
            __( 'Selling price', 'woocommerce-for-japan' ) => get_option($prefix.$law_options[5]),
            __( 'Payment method', 'woocommerce-for-japan' ) => get_option($prefix.$law_options[6]),
            __( 'Product purchase method', 'woocommerce-for-japan' ) => get_option($prefix.$law_options[7]),
            __( 'Product delivery time', 'woocommerce-for-japan' ) => get_option($prefix.$law_options[8]),
            __( 'Costs other than product charges', 'woocommerce-for-japan' ) => get_option($prefix.$law_options[9]),
            __( 'Returns / Cancellations', 'woocommerce-for-japan' ) => get_option($prefix.$law_options[10]),
            __( 'Special conditions', 'woocommerce-for-japan' ) => get_option($prefix.$law_options[11]),
        );
        $content = '<table class="wp-block-table is-style-stripes">
    <tbody>';
        $allowed_html = array(
            'a' => array( 'href' => array (), 'target' => array(), ),
            'br' => array(),
            'strong' => array(),
            'b' => array(),
        );
        foreach($laws_array as $key => $value){
            if($value) $content .= '        <tr><th>'.$key.'</th><td>'.wp_kses( $value, $allowed_html ).'</td></tr>
';
        }
        $content .= '    </tbody>
</table>';
        return $content;
    }
}
new JP4WC_Shortcodes();